One Star

Not able to open Talend Studio 6.2.1 with error module: org.eclipse.jdt.launching.macosx

 Hi Team,

 

I tried opening Talend Studio 6.2.1 couple of times but facing following error at its initial stage only :

 

!ENTRY org.eclipse.jdt.launching.macosx 4 0 2017-05-15 02:57:19.118
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.eclipse.jdt.launching.macosx [452]
Unresolved requirement: Require-Capability: eclipse.platform; filter:="(osgi.os=macosx)"

at org.eclipse.osgi.container.Module.start(Module.java:434)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1582)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1561)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1533)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1476)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)

 

Below are the details regarding the Java version and OS that I am using :

 

java.version=1.8.0_102
java.vendor=Oracle Corporation
BootLoader constants: OS=win32, ARCH=x86_64, WS=win32, NL=en_US

 

Please find the attached log detail error that has been encountered. Kindly provide solution to this issue as soon as possible.

 

Thanks,

Amruta

8 REPLIES
Moderator

Re: Not able to open Talend Studio 6.2.1 with error module: org.eclipse.jdt.launching.macosx

Hello,

What's the OS you are using?

--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.
Four Stars

Re: Not able to open Talend Studio 6.2.1 with error module: org.eclipse.jdt.launching.macosx

Getting the same error:

!ENTRY org.eclipse.jdt.launching.macosx 4 0 2017-06-20 13:59:46.759
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.eclipse.jdt.launching.macosx [427]
Unresolved requirement: Require-Capability: eclipse.platform; filter:="(osgi.os=macosx)"

at org.eclipse.osgi.container.Module.start(Module.java:434)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1582)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1561)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1533)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1476)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)

 

Below are the details:

64 bit windows 10

java version 1.8.0_121

Moderator

Re: Not able to open Talend Studio 6.2.1 with error module: org.eclipse.jdt.launching.macosx

Hello,

Is java CPS version Ok with you? Does this solution resolve your startup issue?

Best regards

Sabrina

--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.
Moderator

Re: Not able to open Talend Studio 6.2.1 with error module: org.eclipse.jdt.launching.macosx

Hi stips,

Are you referring to talend subscription solution 6.2.1? If so, did you use talend installer to install your product?

Are you using oracle JDK 1.8? Could you please execute java -version in command prompt to see if your java environment is set correctly in your window 10?

Best regards

Sabrina

--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.
Four Stars

Re: Not able to open Talend Studio 6.2.1 with error module: org.eclipse.jdt.launching.macosx

I'm using version 6.3.1 and the jdk version is 1.8
Moderator

Re: Not able to open Talend Studio 6.2.1 with error module: org.eclipse.jdt.launching.macosx

Hi,

Is your version 6.3.1 subscription solution? Are you using talend installer to install your product? More information will be helpful for us to address your issue quickly.

Best regards

Sabrina

--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.
Four Stars

Re: Not able to open Talend Studio 6.3.1 with error module: org.eclipse.jdt.launching.macosx

Yes, 6.3.1 subscription solution installed using the talend installer on windows 10 machine with java 1.8 

Let me know what all information will be helpful

Moderator

Re: Not able to open Talend Studio 6.3.1 with error module: org.eclipse.jdt.launching.macosx

Hello,

We suppose that there is something wrong with your installation when you use installer to install your product.

Would you mind creating a case on talend support portal so that we can give you a remote assistance(webex) through support cycle with priority?

Best regards

Sabrina

--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.